## colord 1.4.3

=== meson_options.txt ===
option('session_example', type : 'boolean', value : false, description : 'Enable session example')
option('bash_completion', type : 'boolean', value : true, description : 'Enable bash completion')
option('udev_rules', type: 'boolean', value: true, description: 'Install udev rules')
option('systemd', type : 'boolean', value : true, description : 'Enable systemd integration')
option('libcolordcompat', type : 'boolean', value : false, description : 'Enable libcolordcompat.so which is used by ArgyllCMS')
option('argyllcms_sensor', type : 'boolean', value : true, description : 'Enable ArgllCMS sensor')
option('reverse', type : 'boolean', value : false, description : 'Enable reverse engineering tools')
option('sane', type : 'boolean', value : false, description : 'Enable SANE support')
option('vapi', type : 'boolean', value : false, description : 'Build vala bindings')
option('print_profiles', type : 'boolean', value : false, description : 'Build extra print profiles')
option('tests', type : 'boolean', value : true, description : 'Build self tests')
option('installed_tests', type : 'boolean', value : false, description : 'Install tests')
option('daemon_user', type : 'string', value : 'root', description : 'User for running the colord daemon')
option('pnp_ids', type : 'string', value : '', description : 'Location of pnp.ids if hwdb is not available')
option('man', type : 'boolean', value : true, description : 'Generate man pages')
option('docs', type : 'boolean', value : true, description : 'Generate documentation')

## colord 0.1.11

=== debian/changelog ===
colord (0.1.11-1) unstable; urgency=low

  * Initial release (Closes: #633518, LP: #741448)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 30 Jun 2011 16:01:11 +0100

=== debian/control ===
Source: colord
Priority: optional
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Build-Depends: 
 debhelper (>= 8.1.3),
 autotools-dev,
 intltool,
 libglib2.0-dev,
 liblcms2-dev,
 libgudev-1.0-dev,
 libsqlite3-dev,
 docbook-utils,
 libusb-1.0-0-dev,
 libpolkit-gobject-1-dev,
 libsane-dev,
 valac,
 gobject-introspection,
 libgirepository1.0-dev,
Standards-Version: 3.9.2
Section: graphics
Homepage: http://www.freedesktop.org/software/colord/
Vcs-Git: git://git.debian.org/collab-maint/colord.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/colord.git;a=summary

Package: libcolord-dev
Section: libdevel
Architecture: any
Depends: 
 libcolord1 (= ${binary:Version}),
 ${misc:Depends},
Description: system service to manage device colour profiles -- development files
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a DBus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the development files required to build programs against
 the libcolord library.

Package: libcolord1
Section: libs
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: colord
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: system service to manage device colour profiles -- runtime
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a DBus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains a gobject-based convienience library for programs to
 interact with the colord system daemon.

Package: colord
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: system service to manage device colour profiles -- system daemon
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a DBus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the dbus-activated colord system daemon.

Package: gir1.2-colord-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the colord library
 This package contains introspection data for libcolord, a gobject-based
 convienience library for programs to interact with the colord system daemon.
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_install:
	# The .la file(s) are entirely useless; kill them with fire.
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/colord \
		--enable-gudev --enable-polkit --enable-sane --disable-static

override_dh_auto_test:
	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_gencontrol:
	dh_girepository
	dh_gencontrol

%:
	dh $@

## colord 0.1.12

=== debian/changelog ===
colord (0.1.12-1ubuntu2) oneiric; urgency=low

  * debian/control: Add missing liblcms2-dev, libdbus-1-dev, libglib2.0-dev
    dependencies to libcolord-dev, to fix FTBFS of reverse dependencies.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Sep 2011 06:48:06 +0200

colord (0.1.12-1ubuntu1) oneiric; urgency=low

  * New upstream release
  * libcolord1.symbols:
    - Updated symbols
  * debian/patches/02_add_enable_volume_search.diff:
  * debian/patches/03_enable_running_as_system_user.diff:
  * debian/patches/04_udev_sensor_acls.diff:
    - Removed upstream patches

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 19 Sep 2011 17:40:44 +0200

colord (0.1.11-1ubuntu2) oneiric; urgency=low

  * debian/patches/06_use_dbus_security_for_permissions.diff:
    - Patch to allow root and at_console access to access the colord service.
      This matches the default PolicyKit rules.
  * debian/patches/07_fix_disable_polkit_build.diff:
    - Fix the build when passing --disable-polkit
  * debian/rules:
  * debian/control:
    - Disable PolicyKit support, in favour of the dbus security introduced
      above.  PolicyKit is not usable as access control to a non-root service.
      (LP: #837851)
  
 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 02 Sep 2011 17:09:42 +1000

colord (0.1.11-1ubuntu1) oneiric; urgency=low

  * debian/patches/02_add_enable_volume_search.diff
    - Cherry-pick from upstream, adding an option to prevent the daemon from
      automatically attempting to import colour profiles on removable media.
  * debian/patches/03_enable_running_as_system_user.diff
    - Cherry-pick from upstream, adding an option to run the daemon as a system
      user rather than root.
  * debian/rules:
  * debian/control:
  * debian/colord.postinst:
    - Enable the above options, and run the daemon as the 'colord' user.
      Resolves security concerns from MIR (bug 823185).
  * debian/patches/04_udev_sensor_acls.diff
    - Add an acl to the colourimetry sensors to allow the daemon to access them
      now that it's not running as root.
  * debian/control:
    - Recommend icc-profiles-free so that we have some colour spaces by default
  * debian/gbp.conf:
    - Point at ubuntu branch.
  * debian/patches/05_adapt_fallbacks_to_icc_profiles.diff:
    - Adapt the StandardSpaces mapping to match the profiles found in
      icc-profiles-free.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 24 Aug 2011 10:44:21 +1000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
  libsqlite3-dev,
  docbook-utils,
  libusb-1.0-0-dev,
- libpolkit-gobject-1-dev,
  libsane-dev,
  valac,
  gobject-introspection,
  libgirepository1.0-dev,
+ dh-autoreconf,
+ intltool,
 Standards-Version: 3.9.2
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
@@ -27,6 +28,9 @@
 Architecture: any
 Depends: 
  libcolord1 (= ${binary:Version}),
+ liblcms2-dev,
+ libdbus-1-dev,
+ libglib2.0-dev,
  ${misc:Depends},
 Description: system service to manage device colour profiles -- development files
  colord is a system service that makes it easy to manage, install and generate
@@ -62,6 +66,9 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ adduser,
+ acl,
+Recommends: icc-profiles-free
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: system service to manage device colour profiles -- system daemon

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,25 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+# Being for the benefit of autoreconf
+export AUTOPOINT=intltoolize --automake --copy --force
+
 override_dh_install:
 	# The .la file(s) are entirely useless; kill them with fire.
 	find debian/tmp -name '*.la' -delete
 	dh_install --fail-missing
 
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
+
 override_dh_auto_configure:
+	# Pass --disable-polkit because PolicyKit doesn't (currently) allow
+	# checking for authorisation as a non-root user.
+	# 
+	# Instead we use dbus policy to restrict access to the daemon.
 	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/colord \
-		--enable-gudev --enable-polkit --enable-sane --disable-static
+		--enable-gudev --disable-polkit --enable-sane --disable-static \
+		--disable-volume-search --with-daemon-user=colord
 
 override_dh_auto_test:
 	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"
@@ -31,4 +42,4 @@
 	dh_gencontrol
 
 %:
-	dh $@
+	dh $@ --with autoreconf

## colord 0.1.13

=== debian/changelog ===
colord (0.1.13-1) unstable; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream release. (Closes: #643724)
  * Update libcolord1 symbols for new upstream.
  * debian/colord.postinst:
  * debian/rules:
    + Run colord daemon as a system user, rather than root.  It only needs
      write access to /var/lib/colord and access to scanner devices, which
      is handled by udev.
  * debian/rules:
  * debian/patches/07_fix_disable_polkit_build.diff:
  * debian/patches/06_use_dbus_security_for_permissions.diff:
    + Use DBus' at_console context to regulate access to the colord daemon.
      PolicyKit doesn't allow non-root processes to query whether a different
      a user is authorised to perform an action.  DBus' at_console context
      duplicates the existing PolicyKit policy.
  * debian/control:
    + Fix typo in package description.  (Closes: #640525)
  * debian/control:
    + Add missing liblcms2-dev, libdbus-1-dev, libglib2.0-dev dependencies to
      libcolord-dev, to fix FTBFS of reverse dependencies.

  [ Sjoerd Simons ]
  * New upstream release (0.1.13) (Closes: #643724)
  * debian/patches/07_fix_disable_polkit_build.diff:
    + Removed, fixed upstream
  * debian/libcolord1.symbols: Update symbols for 0.1.13

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 25 Oct 2011 16:21:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,11 @@
  libsqlite3-dev,
  docbook-utils,
  libusb-1.0-0-dev,
+ libpolkit-gobject-1-dev,
  libsane-dev,
  valac,
  gobject-introspection,
  libgirepository1.0-dev,
- dh-autoreconf,
- intltool,
 Standards-Version: 3.9.2
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
@@ -29,14 +28,14 @@
 Depends: 
  libcolord1 (= ${binary:Version}),
  liblcms2-dev,
+ libglib2.0-dev,
  libdbus-1-dev,
- libglib2.0-dev,
  ${misc:Depends},
 Description: system service to manage device colour profiles -- development files
  colord is a system service that makes it easy to manage, install and generate
  colour profiles to accurately colour manage input and output devices.
  .
- It provides a DBus API for system frameworks to query, a persistent data
+ It provides a D-Bus API for system frameworks to query, a persistent data
  store, and a mechanism for session applications to set system policy.
  .
  This package contains the development files required to build programs against
@@ -55,10 +54,10 @@
  colord is a system service that makes it easy to manage, install and generate
  colour profiles to accurately colour manage input and output devices.
  .
- It provides a DBus API for system frameworks to query, a persistent data
+ It provides a D-Bus API for system frameworks to query, a persistent data
  store, and a mechanism for session applications to set system policy.
  .
- This package contains a gobject-based convienience library for programs to
+ This package contains a gobject-based convenience library for programs to
  interact with the colord system daemon.
 
 Package: colord
@@ -68,14 +67,13 @@
  ${misc:Depends},
  adduser,
  acl,
-Recommends: icc-profiles-free
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: system service to manage device colour profiles -- system daemon
  colord is a system service that makes it easy to manage, install and generate
  colour profiles to accurately colour manage input and output devices.
  .
- It provides a DBus API for system frameworks to query, a persistent data
+ It provides a D-Bus API for system frameworks to query, a persistent data
  store, and a mechanism for session applications to set system policy.
  .
  This package contains the dbus-activated colord system daemon.
@@ -88,7 +86,7 @@
          ${misc:Depends}
 Description: GObject introspection data for the colord library
  This package contains introspection data for libcolord, a gobject-based
- convienience library for programs to interact with the colord system daemon.
+ convenience library for programs to interact with the colord system daemon.
  .
  It can be used by packages using the GIRepository format to generate 
  dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,10 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-# Being for the benefit of autoreconf
-export AUTOPOINT=intltoolize --automake --copy --force
-
 override_dh_install:
 	# The .la file(s) are entirely useless; kill them with fire.
 	find debian/tmp -name '*.la' -delete
 	dh_install --fail-missing
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	# Pass --disable-polkit because PolicyKit doesn't (currently) allow
@@ -42,4 +36,4 @@
 	dh_gencontrol
 
 %:
-	dh $@ --with autoreconf
+	dh $@

## colord 0.1.15

=== debian/changelog ===
colord (0.1.15-1) unstable; urgency=low

  * New upstream release.
    + Fixes sqlite injection vulnerability, preventing malicious applications
      from corrupting colord's database (Closes: #650021).
  * debian/patches/01_use_polkit_owner_annotation.patch:
    + Cherry-pick from upstream, enabling use of the PolicyKit "owner"
      annotation.
  * debian/control:
    + Add versioned Build-Depends on libpolkit-gobject-1-dev to ensure
      configure detects a new enough PolicyKit to enable the "owner"
      annotation.
    + Add versioned Depends on policykit-1 to colord to ensure a new enough
      PolicyKit to understand the "owner" annotation at runtime.
  * debian/rules:
    + Re-enable PolicyKit support now that the "owner" annotation is supported.
  * debian/patches/06_use_dbus_security_for_permissions.diff:
    + Drop; PolicyKit has been fixed.
  * debian/libcolord1.symbols: Add new symbols in 0.1.14 and 0.1.15

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 14 Dec 2011 15:25:41 +1100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libsqlite3-dev,
  docbook-utils,
  libusb-1.0-0-dev,
- libpolkit-gobject-1-dev,
+ libpolkit-gobject-1-dev (>= 0.103),
  libsane-dev,
  valac,
  gobject-introspection,
@@ -67,6 +67,7 @@
  ${misc:Depends},
  adduser,
  acl,
+ policykit-1 (>= 0.103),
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: system service to manage device colour profiles -- system daemon

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	# 
 	# Instead we use dbus policy to restrict access to the daemon.
 	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/colord \
-		--enable-gudev --disable-polkit --enable-sane --disable-static \
+		--enable-gudev --enable-sane --disable-static \
 		--disable-volume-search --with-daemon-user=colord
 
 override_dh_auto_test:

## colord 0.1.16

=== debian/changelog ===
colord (0.1.16-2ubuntu0.1) precise-proposed; urgency=low

  * debian/patches/initialise_dbus_thread_support:
    - Initilise dbus' threadsafety support. colord uses libsane, which uses
      libavahi, which uses libdbus directly from multiple threads.
      Hopefully fixes colord crashes in libdbus. (LP: #844286)
  * debian/control:
  * debian/rules:
    - Add use dh_autoreconf to regenerate the autofoo for the patch and add
      the necessary build-dependencies.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 11 Sep 2012 13:18:39 +1000

colord (0.1.16-2) unstable; urgency=low

  * debian/colord.postinst:
    - Only try to change ownership of /var/lib/colord after we've made sure the
      colord user actually exists.  (Closes: 658353)
  * debian/colord.install:
  * debian/rules:
    - Install systemd unit file.  Thanks, Rodolphe Pelloux-Prayer!
      (Closes: 658382)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 03 Feb 2012 15:18:49 +1100

colord (0.1.16-1) unstable; urgency=low

  * New upstream release
    - Drop 01_use_polkit_owner_annotation.patch; included upstream.
  * debian/colord.postrm:
    - Remove /var/lib/colord on purge; package is now puiparts clean.
  * debian/colord.postinst:
    - Create /var/lib/colord if necessary; we can not rely on adduser creating
      this directory if the user has previously purged colord.
    - Quieten needless output from adduser.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 02 Feb 2012 13:57:16 +1100

colord (0.1.15-3) unstable; urgency=low

  * debian/rules:
    + Pass --disable-examples to configure; we don't ship them, and they add
      an unnecessary Build-Dependancy on libdbus-1-dev.  Really fixes the
      kFreeBSD build. (Closes: 652427)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 22 Dec 2011 10:15:18 +1100

colord (0.1.15-2) unstable; urgency=low

  * debian/control:
    + Move gir package to Section: introspection
  * debian/control:
  * debian/rules:
  * debian/colord.install:
    + Fix the kfreebsd build (Closes: 652427).  Thanks, Michael Biebl!
      - Restrict sane and gudev to linux-any.
      - Use libusb2-dev on kfreebsd-any.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 20 Dec 2011 13:04:34 +1100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,19 @@
  intltool,
  libglib2.0-dev,
  liblcms2-dev,
- libgudev-1.0-dev,
+ libgudev-1.0-dev [linux-any],
  libsqlite3-dev,
  docbook-utils,
- libusb-1.0-0-dev,
+ libusb-1.0-0-dev [linux-any],
+ libusb2-dev [kfreebsd-any],
  libpolkit-gobject-1-dev (>= 0.103),
- libsane-dev,
+ libsane-dev [linux-any],
  valac,
  gobject-introspection,
  libgirepository1.0-dev,
+ dh-autoreconf,
+ autopoint,
+ gtk-doc-tools,
 Standards-Version: 3.9.2
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
@@ -80,7 +84,7 @@
  This package contains the dbus-activated colord system daemon.
 
 Package: gir1.2-colord-1.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,26 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	confflags = --enable-gudev --enable-sane
+else
+	confflags = --disable-gudev --disable-sane
+endif
+
 override_dh_install:
 	# The .la file(s) are entirely useless; kill them with fire.
 	find debian/tmp -name '*.la' -delete
 	dh_install --fail-missing
 
 override_dh_auto_configure:
-	# Pass --disable-polkit because PolicyKit doesn't (currently) allow
-	# checking for authorisation as a non-root user.
-	# 
-	# Instead we use dbus policy to restrict access to the daemon.
-	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/colord \
-		--enable-gudev --enable-sane --disable-static \
-		--disable-volume-search --with-daemon-user=colord
+	dh_auto_configure -- \
+		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/colord \
+		--disable-examples \
+		--disable-static \
+		--disable-volume-search \
+		--with-daemon-user=colord \
+		--with-systemdsystemunitdir=/lib/systemd/system \
+		$(confflags)
 
 override_dh_auto_test:
 	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"
@@ -35,5 +42,8 @@
 	dh_girepository
 	dh_gencontrol
 
+override_dh_autoreconf:
+	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
+
 %:
-	dh $@
+	dh $@ --with autoreconf

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.freedesktop.org/software/colord/releases/colord-(.*)\.tar\.xz

## colord 0.1.21

=== debian/changelog ===
colord (0.1.21-1ubuntu2) quantal-proposed; urgency=low

  * debian/patches/one_shot_colord-sane.patch:
    - Rework colord-sane to be spawned each time a sane scan is required.
      Works around fd leaks in libsane and its plugins, resulting in many, many
      crashes in colord-sane. (LP: #1024081, LP: #1056933, LP: #1056933,
      LP: #1026520)
  * debian/patches/initialise_gdbus_connection_sooner.patch:
    - Initialise gdbus connection in the bus_acquired callback rather than the
      name_acquired callback. The name_acquired callback is fired an
      indeterminate time *after* the name appears on the bus, so requests can
      come in before its called. If this happened, colord would crash with an
      assert(). (LP: #849472, LP: #1064352, LP: #827934)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 10 Oct 2012 16:41:44 +1100

colord (0.1.21-1ubuntu1) quantal; urgency=low

  * Parallel upload of 0.1.21-2 to quantal
  * debian/patches/also_sanitise_username_for_dbus.patch:
    - Sanitise username when used as a component of a DBus object path.
      Fixes crash in cd_device_register_object (Closes: 675852) (LP: #1021374)
  * debian/patches/fix_colord-sane_dbus_threading.patch:
    - Initialise libdbus threadsafety in colord-sane. (Probably) fixes multiple
      crashes from colord-sane in libdbus (LP: #844286). Plausibly fixes other
      bad colord-sane behaviour, such as 100% CPU usage (Closes: 668325)
  * debian/rules:
  * debian/control:
    - Add dh_autoreconf to pick up the build system changes from
      fix_colord-sane_dbus_threading.patch and add all the various
      build-depends required.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 12 Sep 2012 18:28:06 +1000

colord (0.1.21-1) unstable; urgency=low

  * New upstream version 
  * debian/patches/01_fix_colord_sane.diff:
    - Drop; included in new upstream version
  * debian/rules:
  * debian/control:
  * debian/libcolord-dev.install:
  * debian/libcolord-gtk1.install:
  * debian/libcolord-gtk1.symbols:
  * debian/libcolord-gtk-dev.install
    - Add libcolord-gtk1 library
  * debian/libcolord1.symbols:
    - Update for new upstream
  * debian/rules:
    - Enable hardning flags
  * debian/rules:
    - Enable parallel builds
  * debian/cd-fix-profile.1:
  * debian/colord.manpages:
    - Drop local manpage; now shipped upstream

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 30 May 2012 17:16:15 +1000

colord (0.1.18-1) unstable; urgency=low

  * New upstream version
  * debian/colord.postrm:
    - Fix purge action when colord failed to install correctly. (Closes: 660666)
  * debian/control:
    - Drop unnecessary build-depends libusb2-dev [kfreebsd].  Thanks,
      Robert Millan! (Closes: 659624)
    - Add B-D on libgusb-dev [linux-any] to build colorhug support.  
      (Closes: 661631)
  * debian/libcolord1.symbols:
    - Add symbols new in this version
  * debian/source/local-options:
  * debian/patches/series:
  * .gitignore:
    - Set single-debian-patch, and ignore it in git.  This makes cherry-picking
      from upstream cleaner: the patch lands in debian-patches, and disappears
      when we grab the upstream version containing the cherry-pick.
  * debian/patches/01_fix_colord_sane.diff, pre-cherry-picked from upstream.
    - Fixes issues with DBus spawning colord-sane, and with colord-sane
      communicating with colord when run as the colord user

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 01 Mar 2012 17:33:00 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
 Build-Depends: 
- debhelper (>= 8.1.3),
+ debhelper (>= 9),
  autotools-dev,
  intltool,
  libglib2.0-dev,
@@ -11,15 +11,16 @@
  libsqlite3-dev,
  docbook-utils,
  libusb-1.0-0-dev [linux-any],
- libusb2-dev [kfreebsd-any],
+ libgusb-dev [linux-any],
  libpolkit-gobject-1-dev (>= 0.103),
  libsane-dev [linux-any],
  valac,
  gobject-introspection,
  libgirepository1.0-dev,
+ libgtk-3-dev,
  dh-autoreconf,
+ gtk-doc-tools,
  autopoint,
- gtk-doc-tools,
 Standards-Version: 3.9.2
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
@@ -64,6 +65,42 @@
  This package contains a gobject-based convenience library for programs to
  interact with the colord system daemon.
 
+Package: libcolord-gtk1
+Section: libs
+Architecture: any
+Depends: 
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends: colord
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: system service to manage device colour profiles -- runtime
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ It provides a D-Bus API for system frameworks to query, a persistent data
+ store, and a mechanism for session applications to set system policy.
+ .
+ This package contains a convenience library for GTK+ programs that wish to
+ handle colour management to interact with the colord system daemon.
+
+Package: libcolord-gtk-dev
+Section: libdevel
+Architecture: any
+Depends: 
+ libcolord-gtk1 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}, 
+Description: system service to manage device colour profiles -- runtime
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ It provides a D-Bus API for system frameworks to query, a persistent data
+ store, and a mechanism for session applications to set system policy.
+ .
+ This package contains the development files necessary for a GTK+ program
+ to build against the libcolord-gtk library.
+
 Package: colord
 Architecture: any
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -30,6 +32,7 @@
 		--disable-volume-search \
 		--with-daemon-user=colord \
 		--with-systemdsystemunitdir=/lib/systemd/system \
+		--enable-gtk \
 		$(confflags)
 
 override_dh_auto_test:
@@ -46,4 +49,4 @@
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf

## colord 0.1.23

=== debian/changelog ===
colord (0.1.23-0ubuntu3) raring; urgency=low

  * Merge in changes from 0.1.21-1ubuntu2 that were accidentally missed when
    updating raring

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Dec 2012 16:11:39 +1300

colord (0.1.23-0ubuntu2) raring; urgency=low

  * debian/control: build with the default valac version

  [ Gabor Kelemen ]
  * debian/control: depend on dh-translations
  * debian/rules: run dh_translations at build time (lp: #855144)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Nov 2012 15:16:30 +0100

colord (0.1.23-0ubuntu1) raring; urgency=low

  * New upstream bugfix release (LP: #1053696)
  * debian/control:
    - Use standards version 3.9.3
    - Drop build-depends on libgtk-3-dev
    - Build-depend on valac-0.16
    - Drop unnecessary build depends on intltool, autotools-dev, autopoint
    - Remove colord-gtk packages that are now in a different source package
  * debian/libcolord-gtk1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 Nov 2012 11:35:43 +1300

=== debian/control ===
Source: colord
Priority: optional
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-translations,
               autotools-dev,
               docbook-utils,
               gtk-doc-tools,
               libglib2.0-dev,
               liblcms2-dev,
               libgudev-1.0-dev [linux-any],
               libsqlite3-dev,
               libusb-1.0-0-dev [linux-any],
               libgusb-dev [linux-any],
               libpolkit-gobject-1-dev (>= 0.103),
               libsane-dev [linux-any],
               valac,
               gobject-introspection,
               libgirepository1.0-dev
Standards-Version: 3.9.3
Section: graphics
Homepage: http://www.freedesktop.org/software/colord/
Vcs-Git: git://git.debian.org/collab-maint/colord.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/colord.git;a=summary

Package: libcolord-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libcolord1 (= ${binary:Version}),
         liblcms2-dev,
         libglib2.0-dev,
         libdbus-1-dev
Description: system service to manage device colour profiles -- development files
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the development files required to build programs against
 the libcolord library.

Package: libcolord1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: colord
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: system service to manage device colour profiles -- runtime
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains a gobject-based convenience library for programs to
 interact with the colord system daemon.

Package: colord
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         acl,
         policykit-1 (>= 0.103)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: system service to manage device colour profiles -- system daemon
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the dbus-activated colord system daemon.

Package: gir1.2-colord-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the colord library
 This package contains introspection data for libcolord, a gobject-based
 convenience library for programs to interact with the colord system daemon.
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -49,4 +49,4 @@
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel --with autoreconf,translations

## colord 0.1.30

=== debian/changelog ===
colord (0.1.30-0ubuntu3) raring; urgency=low

  * Fix syntax error in colord postinst.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2013 12:14:14 +0800

colord (0.1.30-0ubuntu2) raring; urgency=low

  * Tighten libgusb build-dep to >= 0.1.5 to ensure gobject-introspection
    support

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 03 Mar 2013 08:16:11 +1100

colord (0.1.30-0ubuntu1) raring; urgency=low

  * New upstream release 0.1.30 (LP: #1099967)
    + Drop patches included in new upstream release
    + Replace one_shot_colord-sane patch with upstream version    
    + New upstream includes support for Spyder 3 (Closes: 696394, LP: #1072261)
    + New upstream includes support for ColorMunki (Closes: 701653, LP: #889655)
    + New upstream includes its own set of base colour spaces (Closes: 666513)
    + New upstream has re-written colord-sane binary, which doesn't crash in
      libdbus (Closes: 668225)
  * Handle the existence of a non-system scanner group.
    (Closes: #648287, LP: #989921)
  * Make watch file more specific, to not pick up colord-gtk releases
  * Drop colord-gtk; this has been split out into a separate tarball
  * Explicitly enable vala binding support
  * Add PIE to hardening flags
  * Install new colord icons
  * Add new API to libcolord1.symbols
  * Install schemas for session-helper
  * Add DEP-8 autopkgtest infrastructure
  * Don't install daemon in multiarch path (Closes: 695232)
  * Properly set SELinux context of /var/lib/colord (Closes: 695085)
  * Add new ColorHug library
  * Fix unusual crash in cd_main_get_cmdline_for_pid (cherry pick from 1824da9)
  * Add override for hardening-check false-positives
  * Remove gtk-doc symlinks on clean
  * Add build-depend on libsystemd-login-dev for seat identification
  * Add header for single-debian-patch identifying them as upstream cherry-picks
  * Create /var/lib/colord/icc for system-wide profiles (LP: #1083698)
  * Drop BD on libsystemd-login-dev; not in main, not (yet?) useful in Ubuntu

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 02 Mar 2013 16:08:53 +1100

colord (0.1.21-4) unstable; urgency=low

  * debian/patches/one_shot_colord-sane:
    - Rework colord-sane to be run once per sane probe. This works around
      bugs in libsane and its plugins, which otherwise leak fds causing all
      manner of bad behaviour, such as high CPU usage. (Closes: 668325)
  * debian/patches/initialise_gdbus_connection_sooner.patch:
    - Initialise connection variable from the bus_connected callback rather
      than the name_acquired callback. Fixes a race where colord could try to
      process a request before name_acquired was called, resulting in an
      abort().

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 10 Oct 2012 21:12:29 +1100

colord (0.1.21-3) unstable; urgency=low

  * debian/control:
    - Add libdbus-1-dev to build depends; the patches in 0.1.21-2 introduce a
      new dbus dependency, causing FTBFS on !linux archs (Closes: 689300).
      Thanks, Pino Toscano!

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 02 Oct 2012 13:54:26 +1000

colord (0.1.21-2) unstable; urgency=low

  * debian/patches/also_sanitise_username_for_dbus.patch:
    - Sanitise username when used as a component of a DBus object path.
      Fixes crash in cd_device_register_object (Closes: 675852) (LP: #1021374)
  * debian/patches/fix_colord-sane_dbus_threading.patch:
    - Initialise libdbus threadsafety in colord-sane. (Probably) fixes multiple
      crashes from colord-sane in libdbus (LP: #844286). Plausibly fixes other
      bad colord-sane behaviour, such as 100% CPU usage (Closes: 668325)
  * debian/rules:
  * debian/control:
    - Add dh_autoreconf to pick up the build system changes from
      fix_colord-sane_dbus_threading.patch and add all the various
      build-depends required.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 12 Sep 2012 18:28:06 +1000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: colord
 Priority: optional
 Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               dh-translations,
-               autotools-dev,
-               docbook-utils,
-               gtk-doc-tools,
-               libglib2.0-dev,
-               liblcms2-dev,
-               libgudev-1.0-dev [linux-any],
-               libsqlite3-dev,
-               libusb-1.0-0-dev [linux-any],
-               libgusb-dev [linux-any],
-               libpolkit-gobject-1-dev (>= 0.103),
-               libsane-dev [linux-any],
-               valac,
-               gobject-introspection,
-               libgirepository1.0-dev
-Standards-Version: 3.9.3
+Build-Depends: 
+ debhelper (>= 9),
+ autotools-dev,
+ intltool,
+ libglib2.0-dev,
+ liblcms2-dev,
+ libgudev-1.0-dev [linux-any],
+ libsqlite3-dev,
+ docbook-utils,
+ libusb-1.0-0-dev [linux-any],
+ libgusb-dev (>= 0.1.5) [linux-any],
+ libpolkit-gobject-1-dev (>= 0.103),
+ libsane-dev [linux-any],
+ libdbus-1-dev,
+ valac,
+ gobject-introspection,
+ libgirepository1.0-dev,
+ dh-autoreconf,
+ gtk-doc-tools,
+ autopoint,
+Standards-Version: 3.9.2
+XS-Testsuite: autopkgtest
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
 Vcs-Git: git://git.debian.org/collab-maint/colord.git
@@ -27,11 +31,12 @@
 Package: libcolord-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends},
-         libcolord1 (= ${binary:Version}),
-         liblcms2-dev,
-         libglib2.0-dev,
-         libdbus-1-dev
+Depends: 
+ libcolord1 (= ${binary:Version}),
+ liblcms2-dev,
+ libglib2.0-dev,
+ libdbus-1-dev,
+ ${misc:Depends},
 Description: system service to manage device colour profiles -- development files
  colord is a system service that makes it easy to manage, install and generate
  colour profiles to accurately colour manage input and output devices.
@@ -45,8 +50,9 @@
 Package: libcolord1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: 
+ ${shlibs:Depends},
+ ${misc:Depends},
 Recommends: colord
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -62,11 +68,12 @@
 
 Package: colord
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         adduser,
-         acl,
-         policykit-1 (>= 0.103)
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ adduser,
+ acl,
+ policykit-1 (>= 0.103),
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: system service to manage device colour profiles -- system daemon
@@ -90,3 +97,50 @@
  .
  It can be used by packages using the GIRepository format to generate 
  dynamic bindings.
+
+Package: libcolorhug-dev
+Section: libdevel
+Architecture: any
+Depends: 
+ libcolorhug1 (= ${binary:Version}),
+ libglib2.0-dev,
+ libgusb-dev,
+ libcolord-dev,
+ gir1.2-colorhug-1.0,
+ ${misc:Depends},
+Description: library to access the ColorHug colourimeter -- development files
+ libcolorhug is a gobject-based library for using the ColorHug display
+ colourimeter. It supports both reading values from the colourimeter and
+ device administration, such as firmware updates.
+ .
+ This package contains the development files required to build programs against
+ the libcolorhug library.
+
+Package: libcolorhug1
+Section: libs
+Architecture: any
+Depends: 
+ ${shlibs:Depends},
+ ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: library to access the ColorHug colourimeter -- development files
+ libcolorhug is a gobject-based library for using the ColorHug display
+ colourimeter. It supports both reading values from the colourimeter and
+ device administration, such as firmware updates.
+ .
+ This package contains the development files required to build programs against
+ the libcolorhug library.
+
+Package: gir1.2-colorhug-1.0
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for the colorhug library
+ This package contains introspection data for libcolorhug, a gobject-based
+ library for accessing the ColorHug display colourimeter device.
+ .
+ It can be used by packages using the GIRepository format to generate 
+ dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags = \
 --libexecdir=/usr/lib/colord \
 --disable-examples \
 --disable-static \
 --disable-volume-search \
 --with-daemon-user=colord \
 --with-systemdsystemunitdir=/lib/systemd/system \
 --disable-systemd-login \
 --enable-vala

ifeq ($(DEB_HOST_ARCH_OS),linux)
	confflags += --enable-gudev --enable-sane
else
	confflags += --disable-gudev --disable-sane
endif

override_dh_clean:
	-rm -r build-libraries
	-rm -r build-daemon
	dh_clean

override_dh_install:
	# The .la file(s) are entirely useless; kill them with fire.
	find debian/tmp -name '*.la' -delete
	# The sensor libraries are private; remove development symlink
	-rm debian/tmp/usr/lib/*/libdtp94-private.so
	-rm debian/tmp/usr/lib/*/libhuey-private.so
	-rm debian/tmp/usr/lib/*/libmunki-private.so

	dh_install --list-missing

override_dh_auto_configure:
	dh_auto_configure -B build-libraries -- $(confflags)
	dh_auto_configure -B build-daemon -- $(confflags) --libdir=/usr/lib

override_dh_auto_build:
	dh_auto_build -B build-libraries
	dh_auto_build -B build-daemon

override_dh_auto_install:
	dh_auto_install -B build-libraries
	dh_auto_install -B build-daemon

override_dh_auto_test:
	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"

override_dh_makeshlibs:
	# The semi-private sensor libraries have no ABI guarantee;
	# Mark anything using them with a strict version dependency
	sed s/@pkgver@/$(shell dpkg-parsechangelog | grep Version | cut -f 2 -d' ')/g \
		debian/libcolord1.symbols.in > debian/libcolord1.symbols
	dh_makeshlibs -- -c4

override_dh_gencontrol:
	dh_girepository
	dh_gencontrol

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

%:
	dh $@ --parallel --with autoreconf

=== debian/tests/control ===
Tests: make_check
Restrictions: build-needed
